X
Tap here to go to the mobile version of the site.

Support Forum

I have windows XP but firefox does not recognize my system and says it does not support my system. What can I do to upgrade?

Posted

While it says you support windows XP it refused to allow me to upgrade.

While it says you support windows XP it refused to allow me to upgrade.

Additional System Details

This happened

Every time Firefox opened

This started when...

6 months ago

Installed Plug-ins

  • Office Plugin for Netscape Navigator
  • Adobe Shockwave for Director Netscape plug-in, version 10.2
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • PopCap Games Plugin
  • Default Plug-in
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Adobe PDF Plug-In For Firefox and Netscape "9.4.4"
  • Shockwave Flash 10.3 r181
  • Allows browsing on RealArcade sites with Mozilla browsers.
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • NPWLPG
  • Office Live Update v1.3
  • 4.0.60310.0
  • Next Generation Java Plug-in 1.6.0_24 for Mozilla browsers
  • iTunes Detector Plug-in
  • Npdsplay dll
  • DRM Store Netscape Plugin
  • DRM Netscape Network Object

Application

  • User Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:1.9.2.10) Gecko/20100914 YFF35 Firefox/3.6.10 ( .NET CLR 3.5.30729)

More Information

jscher2000
  • Top 10 Contributor
8797 solutions 71955 answers

For some reason, your browser is identifying your OS as Windows NT4, which is from the 90s. This is the useragent string associated with your question:

Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:1.9.2.10) Gecko/20100914 YFF35 Firefox/3.6.10 ( .NET CLR 3.5.30729)

You may want to reset all manual changes to the useragent. This article describes the steps: Websites or add-ons incorrectly report incompatible browser | Troubleshooting | Firefox Help.

Any luck?

For some reason, your browser is identifying your OS as Windows NT4, which is from the 90s. This is the useragent string associated with your question: Mozilla/5.0 (Windows; U; '''WinNT4.0'''; en-US; rv:1.9.2.10) Gecko/20100914 YFF35 Firefox/3.6.10 ( .NET CLR 3.5.30729) You may want to reset all manual changes to the useragent. This article describes the steps: [https://support.mozilla.com/en-US/kb/Websites%20or%20add-ons%20incorrectly%20report%20incompatible%20browser Websites or add-ons incorrectly report incompatible browser | Troubleshooting | Firefox Help]. Any luck?